Update an observability destination
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
enabled: true,
privacy_mode: true,
sampling_rate: 0.50005,
include_generation_metadata: true,
include_cost_metadata: true,
include_identity_metadata: true,
include_request_context: true,
key_filters: [{key_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'}],
rule_groups: [{rules: [{value: '<string>'}]}],
config: {}
})
};
fetch('https://api.phaseo.app/v1/observability/destinations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.phaseo.app/v1/observability/destinations/{id}"
payload = {
"name": "<string>",
"enabled": True,
"privacy_mode": True,
"sampling_rate": 0.50005,
"include_generation_metadata": True,
"include_cost_metadata": True,
"include_identity_metadata": True,
"include_request_context": True,
"key_filters": [{ "key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }],
"rule_groups": [{ "rules": [{ "value": "<string>" }] }],
"config": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)curl --request PATCH \
--url https://api.phaseo.app/v1/observability/destinations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"enabled": true,
"privacy_mode": true,
"sampling_rate": 0.50005,
"include_generation_metadata": true,
"include_cost_metadata": true,
"include_identity_metadata": true,
"include_request_context": true,
"key_filters": [
{
"key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"rule_groups": [
{
"rules": [
{
"value": "<string>"
}
]
}
],
"config": {}
}
'package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.phaseo.app/v1/observability/destinations/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"enabled\": true,\n \"privacy_mode\": true,\n \"sampling_rate\": 0.50005,\n \"include_generation_metadata\": true,\n \"include_cost_metadata\": true,\n \"include_identity_metadata\": true,\n \"include_request_context\": true,\n \"key_filters\": [\n {\n \"key_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"rule_groups\": [\n {\n \"rules\": [\n {\n \"value\": \"<string>\"\n }\n ]\n }\n ],\n \"config\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.phaseo.app/v1/observability/destinations/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"enabled\": true,\n \"privacy_mode\": true,\n \"sampling_rate\": 0.50005,\n \"include_generation_metadata\": true,\n \"include_cost_metadata\": true,\n \"include_identity_metadata\": true,\n \"include_request_context\": true,\n \"key_filters\": [\n {\n \"key_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"rule_groups\": [\n {\n \"rules\": [\n {\n \"value\": \"<string>\"\n }\n ]\n }\n ],\n \"config\": {}\n}")
.asString();
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "otel_collector",
"name": "<string>",
"enabled": true,
"privacy_mode": true,
"sampling_rate": 0.50005,
"group_join": "and",
"key_filters": [
{
"key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "include"
}
],
"rule_groups": [
{
"match": "and",
"rules": [
{
"field": "model",
"condition": "equals",
"value": "<string>"
}
]
}
],
"configured": true,
"include_generation_metadata": true,
"include_cost_metadata": true,
"include_identity_metadata": true,
"include_request_context": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "error_type",
"ok": false,
"message": "Human-readable error message",
"description": "Additional error details.",
"generation_id": "G-abc123",
"status_code": 502,
"error_type": "system",
"error_origin": "upstream",
"reason": "all_candidates_failed",
"attempt_count": 2,
"failed_providers": [
"google-ai-studio",
"openai"
],
"failed_statuses": [
403,
429
],
"upstream_error": {
"code": "PERMISSION_DENIED",
"message": "The caller does not have permission.",
"description": "<string>",
"param": "<string>"
},
"failure_sample": [
{
"provider": "<string>",
"type": "<string>",
"status": 123,
"upstream_error_code": "<string>",
"upstream_error_message": "<string>",
"upstream_error_description": "<string>",
"upstream_error_param": "<string>",
"upstream_payload_preview": "<string>",
"retryable": true
}
],
"provider_failure_diagnostics": {
"category": "credentials_not_configured",
"hint": "<string>",
"provider": "<string>"
},
"routing_diagnostics": {
"filterStages": [
{
"stage": "<string>",
"beforeCount": 123,
"afterCount": 123,
"droppedProviders": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
}
]
},
"provider_candidate_diagnostics": {
"totalProviders": 123,
"supportsEndpointCount": 123,
"candidateCount": 123,
"droppedUnsupportedEndpoint": [
"<string>"
],
"droppedMissingAdapter": [
{
"providerId": "<string>",
"endpoint": "<string>"
}
]
},
"provider_enablement": {
"capability": "<string>",
"providersBefore": [
"<string>"
],
"providersAfter": [
"<string>"
],
"dropped": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
},
"missing_pricing_providers": [
"<string>"
],
"provider_payment_required_provider": "openai",
"provider_payment_required_support_notice": "Our upstream provider billing appears to be unavailable. If this persists, contact support.",
"details": [
{}
]
}{
"error": "error_type",
"ok": false,
"message": "Human-readable error message",
"description": "Additional error details.",
"generation_id": "G-abc123",
"status_code": 502,
"error_type": "system",
"error_origin": "upstream",
"reason": "all_candidates_failed",
"attempt_count": 2,
"failed_providers": [
"google-ai-studio",
"openai"
],
"failed_statuses": [
403,
429
],
"upstream_error": {
"code": "PERMISSION_DENIED",
"message": "The caller does not have permission.",
"description": "<string>",
"param": "<string>"
},
"failure_sample": [
{
"provider": "<string>",
"type": "<string>",
"status": 123,
"upstream_error_code": "<string>",
"upstream_error_message": "<string>",
"upstream_error_description": "<string>",
"upstream_error_param": "<string>",
"upstream_payload_preview": "<string>",
"retryable": true
}
],
"provider_failure_diagnostics": {
"category": "credentials_not_configured",
"hint": "<string>",
"provider": "<string>"
},
"routing_diagnostics": {
"filterStages": [
{
"stage": "<string>",
"beforeCount": 123,
"afterCount": 123,
"droppedProviders": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
}
]
},
"provider_candidate_diagnostics": {
"totalProviders": 123,
"supportsEndpointCount": 123,
"candidateCount": 123,
"droppedUnsupportedEndpoint": [
"<string>"
],
"droppedMissingAdapter": [
{
"providerId": "<string>",
"endpoint": "<string>"
}
]
},
"provider_enablement": {
"capability": "<string>",
"providersBefore": [
"<string>"
],
"providersAfter": [
"<string>"
],
"dropped": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
},
"missing_pricing_providers": [
"<string>"
],
"provider_payment_required_provider": "openai",
"provider_payment_required_support_notice": "Our upstream provider billing appears to be unavailable. If this persists, contact support.",
"details": [
{}
]
}{
"error": "error_type",
"ok": false,
"message": "Human-readable error message",
"description": "Additional error details.",
"generation_id": "G-abc123",
"status_code": 502,
"error_type": "system",
"error_origin": "upstream",
"reason": "all_candidates_failed",
"attempt_count": 2,
"failed_providers": [
"google-ai-studio",
"openai"
],
"failed_statuses": [
403,
429
],
"upstream_error": {
"code": "PERMISSION_DENIED",
"message": "The caller does not have permission.",
"description": "<string>",
"param": "<string>"
},
"failure_sample": [
{
"provider": "<string>",
"type": "<string>",
"status": 123,
"upstream_error_code": "<string>",
"upstream_error_message": "<string>",
"upstream_error_description": "<string>",
"upstream_error_param": "<string>",
"upstream_payload_preview": "<string>",
"retryable": true
}
],
"provider_failure_diagnostics": {
"category": "credentials_not_configured",
"hint": "<string>",
"provider": "<string>"
},
"routing_diagnostics": {
"filterStages": [
{
"stage": "<string>",
"beforeCount": 123,
"afterCount": 123,
"droppedProviders": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
}
]
},
"provider_candidate_diagnostics": {
"totalProviders": 123,
"supportsEndpointCount": 123,
"candidateCount": 123,
"droppedUnsupportedEndpoint": [
"<string>"
],
"droppedMissingAdapter": [
{
"providerId": "<string>",
"endpoint": "<string>"
}
]
},
"provider_enablement": {
"capability": "<string>",
"providersBefore": [
"<string>"
],
"providersAfter": [
"<string>"
],
"dropped": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
},
"missing_pricing_providers": [
"<string>"
],
"provider_payment_required_provider": "openai",
"provider_payment_required_support_notice": "Our upstream provider billing appears to be unavailable. If this persists, contact support.",
"details": [
{}
]
}Observability
Update observability destination
Update destination policy, filters, or credentials.
PATCH
/
observability
/
destinations
/
{id}
Update an observability destination
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
enabled: true,
privacy_mode: true,
sampling_rate: 0.50005,
include_generation_metadata: true,
include_cost_metadata: true,
include_identity_metadata: true,
include_request_context: true,
key_filters: [{key_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'}],
rule_groups: [{rules: [{value: '<string>'}]}],
config: {}
})
};
fetch('https://api.phaseo.app/v1/observability/destinations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.phaseo.app/v1/observability/destinations/{id}"
payload = {
"name": "<string>",
"enabled": True,
"privacy_mode": True,
"sampling_rate": 0.50005,
"include_generation_metadata": True,
"include_cost_metadata": True,
"include_identity_metadata": True,
"include_request_context": True,
"key_filters": [{ "key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }],
"rule_groups": [{ "rules": [{ "value": "<string>" }] }],
"config": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)This endpoint requires a management API key with
settings:write.config to retain the existing encrypted configuration. Supplying it replaces the configuration atomically at the destination row.Authorizations
Bearer token authentication
Path Parameters
Observability destination identifier.
Body
application/json
Required string length:
1 - 200Required range:
0.0001 <= x <= 1Available options:
and, or Maximum array length:
100Show child attributes
Show child attributes
Maximum array length:
10Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Destination updated
Show child attributes
Show child attributes
Last modified on August 30, 2026
Was this page helpful?